function ManifestInlinePlugin() {}
ManifestInlinePlugin.prototype.apply = compiler => {
  const [HtmlWebpackPlugin] = compiler.options.plugins.filter(
    plugin => plugin.constructor.name === 'HtmlWebpackPlugin'
  );

  compiler.hooks.emit.tap('ManifestInlinePlugin', compilation => {
    compiler.hooks.webpackManifestPluginAfterEmit.tap(
      'ManifestInlinePlugin',
      (manifest, outputPath) => {
        let originHtmlAsset =
          compilation.assets[HtmlWebpackPlugin.options.filename];
        let htmlContent = originHtmlAsset.source();
        htmlContent = htmlContent.replace('$MANIFESTPATH$', outputPath);

        compilation.assets[HtmlWebpackPlugin.options.filename] = {
          source: function() {
            return htmlContent;
          },
          size: function() {
            return htmlContent.length;
          },
        };
      }
    );
  });
};

module.exports = ManifestInlinePlugin;
